<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
Class Common_model extends CI_Model
{
	public function insert_table($table_name,$data)
	{
		$this->db->insert($table_name,$data);
		return $this->db->affected_rows() > 0;
	}
	public function insert_multiple($table_name,$data)
	{
		$this->db->insert_batch($table_name,$data);
		return $this->db->affected_rows() > 0;
		
	}
	public function insert_table_lastid($table_name,$data)
	{
		$this->db->insert($table_name,$data);
		return $this->db->insert_id(); 
		
	}
	public function update_table($table_name,$data,$id)
	{
		$this->db->where($id);
		$this->db->update($table_name,$data);
		if($this->db->error())
		{
			return false;
		}
		return true;
		
	}
	public function __fetch_contents($table_name,$data=[],$select='*',$group_by='',$order_by='',$limit='')
	{
		$this->db->select($select);
		$this->db->from($table_name);
		$this->db->where($data);
		$this->db->group_by($group_by);
		if($order_by!='')
		{
			$this->db->order_by($order_by);	
		}
		if($limit!='')
		{
			$this->db->limit($limit);	
		}
		
		$query = $this -> db -> get();
		// echo $this->db->last_query();die;
	    if($query -> num_rows())
	    {
	   	  return $query->result_array();
		 
	    }
	    else
	    {
		 return false;
	    }
	}
	public function __fetch_where_in($table_name,$data,$where_in=array(),$select='*',$group_by='',$order_by='',$limit='')
	{
		// echo "<pre>";
		// print_r($where_in);
		// die;
		$this->db->select($select);
		$this->db->from($table_name);
		$this->db->where($data);
		if(!empty($where_in)){
			$this->db->where_in($where_in['col'],$where_in['arr']);
		}
		$this->db->group_by($group_by);
		if($order_by!='')
		{
			$this->db->order_by($order_by);	
		}
		if($limit!='')
		{
			$this->db->limit($limit);	
		}
		
		$query = $this->db->get();
		// echo $this->db->last_query();die;
	    return $query -> num_rows()?$query->result_array():false;
	    
	}
	public function __fetch_row($table_name,$data,$select='*',$group_by='',$order_by='',$limit='')
	{
		$this->db->select($select);
		$this->db->from($table_name);
		$this->db->where($data);
		$this->db->group_by($group_by);
		if($order_by!='')
		{
			$this->db->order_by($order_by);	
		}
		if($limit!='')
		{
			$this->db->limit($limit);	
		}
		
		$query = $this -> db -> get();
		
	    if($query -> num_rows())
	    {
	   	  return $query->result_array()[0];
		 
	    }
	    else
	    {
		 return false;
	    }
	}
	public function __fetch_where($table_name,$data,$select='*',$group_by='',$order_by='',$limit='',$search=array()){
		$this->db->select($select);
		$this->db->from($table_name);
		$this->db->where($data);
		if(!empty($search)){
			$this->db->where('('.$search['field'].'  LIKE \'%'.$search['key'].'%\')',NULL,FALSE);		
		}
		$this->db->group_by($group_by);
		if($order_by!=''){
			$this->db->order_by($order_by);	
		}
		if($limit!=''){
			$this->db->limit($limit);	
		}
		
		$query = $this->db->get();
		
	    if($query -> num_rows())
	    {
	   	  return $query->result_array();
		 
	    }
	    else
	    {
		 return false;
	    }
	}
	public function __fetch_query($sql){ 
		$query = $this->db->query($sql);
		if($query->num_rows() > 0){
			return $query->result_array();
		}
		else{
			return false;
		}
	}
	public function __update_table($table_name,$data,$wheredata) 
	{
		$this->db->where($wheredata);
		
		if($this->db->update($table_name,$data))
		{
			return true;
		}
		return false;
		
	}
	public function delete_table($table_name,$data)
	{
		$this->db->delete($table_name,$data);
		return $this->db->affected_rows() > 0;
	}
	public function fetch_two($table1,$table2,$join1,$join2,$data,$select='*',$group_by='',$order_by='',$limit='')
	{
		$this->db->select($select) 
				->from($table1.' a')
				->join($table2.' b','b.'.$join2.'=a.'.$join1,'left')
		        ->where($data)
		        ->group_by($group_by);
		if($order_by!='')
		{
			$this->db->order_by($order_by);	
		}
		if($limit!='')
		{
			$this->db->limit($limit);	
		}
		$query = $this->db -> get();
		// echo $this->db->last_query();die;
		return ($query -> num_rows() ) ? $query->result_array() : false;				
	}

	public function fetch_menu($role_id,$level='',$menu_id='')
	{
		$this->db->select('role_id,role_name,permission_menu_id,c.*')
				->from('user_role a')
				->join('user_role_permission b','b.permission_user_role_id=a.role_id','left')
				->join('menus c','c.menu_id=b.permission_menu_id','left')
				->where('a.role_id',$role_id)
				->where('a.role_removed',0)
				->where('c.menu_removed',0)
				->order_by('c.menu_priority');
		if(!empty($level))				
		{
			$this->db->where('c.menu_level',$level);
		}
		if(!empty($menu_id))				
		{
			$this->db->where('c.menu_parent_id',$menu_id);
		}
		$query = $this->db->get();				
		return($query->num_rows())?$query->result_array():false;
	   					
	}
}