<!DOCTYPE html>
<html lang="en">
<head>
  <title>Zone Orders</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>
<body>

<div class="container">
  <h2>Order Table</h2>
          
  <table class="table">
    <thead>
      <tr>
        <th>Order ID</th>
        <th>Product Name</th>
        <th>Order Qty</th>
        <th>Order Price</th>
        <th>Order Status</th>
       
      </tr>
    </thead>
    <tbody>
      <?php
      foreach ($order as $key => $value) {
        $action='<button type="button" class="btn btn-primary" onclick="view_orders_fun('.$value['order_customer_id'].')">View Customer</button>';
        echo '<tr>
          <td>'.$value['order_id'].'</td>
          <td>'.$value['order_product_name'].'</td>
          <td>'.$value['order_qty'].'</td>
          <td>'.$value['order_price'].'</td>
          <td>'.$action.'</td>
        </tr>';
      }
      ?>
    </tbody>
  </table>
</div>

<div class="modal" id="myModal">
    <div class="modal-dialog">
      <div class="modal-content">
      
        <!-- Modal Header -->
        <div class="modal-header">
          <h4 class="modal-title">Customer Details</h4>
          <button type="button" class="close" data-dismiss="modal">&times;</button>
        </div>
        
        <!-- Modal body -->
        <div class="modal-body">
          <div >
            <table class="table">
              <thead>
                <tr>
                  <th>Customer Name</th>
                  <th>Email</th>
                  <th>Phone</th>
                </tr>
              </thead>
               <tbody id="result">

               </tbody>
            </table>
          </div>
        </div>
        
        <!-- Modal footer -->
        <div class="modal-footer">
          <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
        </div>
        
      </div>
    </div>
  </div>

  <script type="text/javascript">
    function view_orders_fun(customer_id){
      $.ajax({
        url:"<?=site_url?>home/get_order_customer",
        method:"get",
        dataType:"json",
        data:{id:customer_id},
        beforeSend:function(){  $('#loader').show(); },
        success:function(info)
        {
          if(info.status==1)
          {
            var cnt='';
            $.each(info.message,function(i,v){
              cnt+=`<tr>
                    <td>${v['cust_name']}</td>
                    <td>${v['cust_email']}</td>
                    <td>${v['cust_phone']}</td>
              </tr>`;
            });
            $("#myModal #result").html(cnt);
            $('#myModal').modal('show');
          }
          else 
          { 
            alert(info.message);
          }
          
        },
        complete: function (data) { $('#loader').hide(); },
      });//ajax
    }
    $(function(){


      // $("#myModal").modal('show'); 
    });
  </script>
</body>
</html>
